namespace FormStateKeeper
{
    using System.Web;

    /// <summary>
    /// Abstract wrapper around the IHttpHandler interface to provide a more testable HttpHandler.
    /// </summary>
    public abstract class BaseHttpHandler : IHttpHandler
    {
        public virtual bool IsReusable
        {
            get
            {
                return false;
            }
        }

        public void ProcessRequest(HttpContext context)
        {
            ProcessRequest(new HttpContextWrapper(context));
        }

        public abstract void ProcessRequest(HttpContextBase context);
    }
}