namespace UnitTests
{
	using System.IO;
	using System.Web;


	public class FakeHttpResponse : HttpResponseBase
	{
		private readonly HttpCookieCollection _cookies;
		private TextWriter _output;

		public FakeHttpResponse(HttpCookieCollection cookies)
		{
			_cookies = cookies;
			_output = new StringWriter();
		}

		public override HttpCookieCollection Cookies
		{
			get
			{
				return _cookies;
			}
		}

		public override TextWriter Output
		{
			get
			{
				return _output;
			}
			set
			{
				_output = value;
			}
		}
	}
}
