namespace UnitTests.Foundation
{
    /// <summary>
    /// Test setup helpers
    /// </summary>
    public static class Setup
    {
        /// <summary>
        /// Fluently sets up a test context. End the fluent string by calling Create().
        /// </summary>
        /// <typeparam name="TContext">The type of the test context to set up.</typeparam>
        /// <returns>A test context builder that you can fluently apply scenarios to.</returns>
        public static TestContextBuilder<TContext> TestContext<TContext>() where TContext : TestContext, new()
        {
            return new TestContextBuilder<TContext>();
        }
    }
}